Name:           fbg
Version:        0.9.1
Release:        5%{?dist}
Summary:        Falling Block Game
Group:          Amusements/Games
License:        GPLv2+
URL:            http://fbg.sourceforge.net/
# Upstream has done a new release at our request (changing the license from
# GPLv2 to GPLv2+) but has not gotten around to providing a tarbal, thus we use
# one generated from cvs like this:
# cvs -z3 -d:pserver:anonymous@fbg.cvs.sourceforge.net:/cvsroot/fbg co -P -r rel-0-9-1 fbg
# rm -r `find fbg -name CVS`
# mv fbg fbg-0.9.1
# tar cvfz fbg-0.9.1.tar.gz fbg-0.9.1
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         fbg-fixes.patch
Patch1:         fbg-0.9-wx28.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL-devel physfs-devel mikmod-devel wxGTK-devel libtool
BuildRequires:  desktop-file-utils ImageMagick
Requires:       hicolor-icon-theme

%description
Move and rotate variously shaped falling blocks to make them form a complete
row. Once a complete row has formed it will disappear. If you make incomplete
rows the screen will fill up and when it reaches the top the game is over.


%prep
%setup -q
%patch0 -p1 -z .fix
%patch1 -p1 -z .wx28
./autogen.sh


%build
%configure
make %{?_smp_mflags}
convert startfbg/icon.xpm %{name}.png


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# rm make install installed docs as we install them with %doc
rm $RPM_BUILD_ROOT/usr/doc/fbg/COPYING $RPM_BUILD_ROOT/usr/doc/fbg/README

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_mandir}/man6/%{name}*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 0.9.1-5
- rebuilt against wxGTK-2.8.11-2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.1-2
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.1-1
- New upstream release 0.9.1, license changed from GPLv2 to GPLv2+,
  no other changes

* Mon Aug  6 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9-4
- Update License tag for new Licensing Guidelines compliance

* Mon Dec 18 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9-3
- Rebuild for new wxGTK

* Sat Oct 14 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9-2
- Correct license from LGPL to GPL

* Fri Oct 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9-1
- Initial Fedora Extras package
